Bug 1278299 - No audio over DP for Radeon
No audio over DP for Radeon
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 03:23 EST by kennohan
Modified: 2016-12-20 10:23 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:23:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg where ELD dataparsing fails after pm resume (120.16 KB, text/plain)
2016-03-18 14:23 EDT, Juha Nikkanen
no flags Details

  None (edit)
Description kennohan 2015-11-05 03:23:57 EST
Been having this issue since the beginning.
Neither audio over DisplayPort nor HDMI is not working.

I have Radeon HD 7850.
Comment 1 Juha Nikkanen 2016-03-18 14:20:32 EDT
kennohan, have you managed to get audio over any interface, f.ex. analog? What about right after boot? I have similar issue and my audio over HDMI works once after boot but is lost after suspend - resume cycle. I'm currently testing HDMI and I need to check is behavior exactly the same with DP. But for sure I were not able to get audio over DP after suspend - resume. Have to check it after boot. What's in your dmesg? I attached one of mine.
Comment 2 Juha Nikkanen 2016-03-18 14:23 EDT
Created attachment 1137838 [details]
dmesg where ELD dataparsing fails after pm resume
Comment 3 Juha Nikkanen 2016-03-18 14:37:15 EDT
oops, sorry, message pair:
 snd_hda_codec_hdmi hdaudioC1D0: HDMI: ELD buf size is 0, force 128
 snd_hda_codec_hdmi hdaudioC1D0: HDMI: invalid ELD data byte 0

does actually appear even before first suspend. Anyway, I'm not sure does this relate but if you kennohan find similar entries in your dmesg output I propose this bug should be assigned to xorg-x11-drv-ati
Comment 4 Rex Dieter 2016-03-18 14:51:44 EDT
re-assigning as requested
Comment 5 Fedora End Of Life 2016-11-24 08:05:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 10:23:36 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.